# TODO
# - daemon fails (delays) to startup if the configured target imap server is down
Summary:	Imapproxy Daemon
Summary(pl.UTF-8):	Serwer proxy dla protokołu IMAP
Name:		up-imapproxy
Version:	1.2.7
Release:	5
License:	GPL
Group:		Networking/Daemons
Source0:	http://www.imapproxy.org/downloads/%{name}-%{version}.tar.gz
# Source0-md5:	036b487a9a6d2b955f81eb80bd9faee0
Source1:	%{name}.init
Patch0:		%{name}-config.patch
URL:		http://www.imapproxy.org/
BuildRequires:	automake
BuildRequires:	libwrap-devel
BuildRequires:	ncurses-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	rc-scripts
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	libwrap
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a connection caching imapproxy daemon for proxied imap
connections.

%description -l pl.UTF-8
Jest to buforujący połączenia serwer proxy dla protokołu IMAP,
pośredniczący w połączeniach IMAP.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.sub .
%configure
%{__make} \
	CFLAGS="%{rpmcflags} -I/usr/include/ncurses"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/rc.d/init.d,%{_sbindir}}
install -p bin/* $RPM_BUILD_ROOT%{_sbindir}
install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/imapproxy
cp -a scripts/imapproxy.conf $RPM_BUILD_ROOT%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 150 imapproxy
%useradd -u 150 -c "IMAP proxy daemon" -g imapproxy imapproxy

%post
/sbin/chkconfig --add imapproxy
%service imapproxy restart "UP-IMAP Proxy"

%preun
if [ "$1" = "0" ]; then
	%service imapproxy stop
	/sbin/chkconfig --del imapproxy
fi

%postun
if [ "$1" = "0" ]; then
	%userremove imapproxy
	%groupremove imapproxy
fi

%files
%defattr(644,root,root,755)
%doc README README.ssl ChangeLog
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/imapproxy.conf
%attr(754,root,root) /etc/rc.d/init.d/imapproxy
%attr(755,root,root) %{_sbindir}/in.imapproxyd
%attr(755,root,root) %{_sbindir}/pimpstat
%changelog
* Sat Dec 05 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/up-imapproxy.git;a=log;h=master

* Sat Dec 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 4d8aa28
- ncurses rebuild
- release 5 (by relup.sh)

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 2223ae1
- release 4

* Mon Apr 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0ef16e5
- release 3

* Mon Feb 22 2010 Elan Ruusamäe <glen@pld-linux.org> 970c85e
- release 2

* Mon Feb 22 2010 Elan Ruusamäe <glen@pld-linux.org> 6e28b82
- up to 1.2.7

* Mon Feb 22 2010 Elan Ruusamäe <glen@pld-linux.org> 6ab2323
- update from template.init

* Sun May 24 2009 Elan Ruusamäe <glen@pld-linux.org> a691feb
- release 2

* Thu Aug 28 2008 Jakub Bogusz <qboosh@pld-linux.org> adc387f
- outdated

* Thu Aug 28 2008 Elan Ruusamäe <glen@pld-linux.org> 5644058
- up to 1.2.6, fixes serious security hole. assume CVE patch applied

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 1cefd48
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5bd5287
- converted to UTF-8

* Fri Sep 08 2006 Elan Ruusamäe <glen@pld-linux.org> 7cfad90
- rel 5 (rebuild with fixed %useradd/%groupadd macros)

* Sat Apr 15 2006 Elan Ruusamäe <glen@pld-linux.org> ef9bca7
- rel 4

* Wed Mar 29 2006 Elan Ruusamäe <glen@pld-linux.org> cf43b57
- fix amd64 build

* Wed Mar 29 2006 Elan Ruusamäe <glen@pld-linux.org> 25365d2
- rel 2 (fixed initscript)

* Wed Mar 29 2006 Elan Ruusamäe <glen@pld-linux.org> e98c5ac
- fix status

* Tue Mar 21 2006 Elan Ruusamäe <glen@pld-linux.org> 4c79686
- use chroot

* Mon Mar 20 2006 Elan Ruusamäe <glen@pld-linux.org> 0013b15
- updated to 1.2.4
- add patch for CVE-2005-2661
- run as imapproxy uid/gid
- fix broken upgrade
- add service restart on upgrade

* Mon Mar 20 2006 Elan Ruusamäe <glen@pld-linux.org> e0c5ce3
- cp from gentoo

* Mon Mar 20 2006 Elan Ruusamäe <glen@pld-linux.org> 14519fa
- PLD config

